# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.rdbms.ExecutableStatement

Packages that use ExecutableStatement
Package
Description
net.shibboleth.idp.attribute.resolver.dc.rdbms
Package for RDBMS data connector configuration.
net.shibboleth.idp.attribute.resolver.dc.rdbms.impl
A `DataConnector` implementation that reads data from a relational database.

## Uses of ExecutableStatement in net.shibboleth.idp.attribute.resolver.dc.rdbms

Methods in net.shibboleth.idp.attribute.resolver.dc.rdbms that return ExecutableStatement
Modifier and Type
Method
Description
`ExecutableStatement`
AbstractExecutableStatementBuilder.`build(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Creates an executable search that can be executed against a data source in order to produce results.

## Uses of ExecutableStatement in net.shibboleth.idp.attribute.resolver.dc.rdbms.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.rdbms.impl with parameters of type ExecutableStatement
Modifier and Type
Method
Description
`protected Map<String,IdPAttribute>`
RDBMSDataConnector.`retrieveAttributes(ExecutableStatement statement)`
Attempts to retrieve the attribute from the database.